%define	major 3
%define	libname %mklibname mikmod %{major}
%define develname %mklibname mikmod -d
# #define prerel beta2

Summary:	Sound library supporting multiple module formats and digital sound files
Name:		libmikmod
Version:	3.2.0
# Release:	%mkrel 0.%prerel.9
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://mikmod.shlomifish.org/
Source0:	http://mikmod.shlomifish.org/files/%{name}-%version.tar.gz
Patch1:		libmikmod-3.1.10-lib64.patch
Patch2:		libmikmod-3.2.0-automake-1.13.patch
# (fc) 3.2.0-0.beta2.2mdv fix aclocal warning
# (misc) do not requires esd
BuildRequires:	alsa-lib-devel
BuildRequires:	automake1.8

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{libname}
Summary:	Sound library supporting multiple module formats and digital sound files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname mikmod 2 -d}

%description -n	%{develname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep

%setup -q -n %{name}-%version
%patch1 -p1 -b .lib64
%patch2 -p1 -b .automake-1_13

%build
libtoolize --copy --force --install
autoreconf -fi

%configure2_5x
%make

%install
%makeinstall

chmod 755 %{buildroot}%{_libdir}/lib*.so.%{major}*

%multiarch_binaries %{buildroot}%{_bindir}/libmikmod-config

%files -n %{libname}
%doc AUTHORS COPYING.LESSER COPYING.LIB
%{_libdir}/libmikmod.so.%{major}*

%files -n %{develname}
%doc INSTALL NEWS README TODO
%{_bindir}/libmikmod-config
%multiarch %{multiarch_bindir}/libmikmod-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.2.0-4.mga3
+ Revision: 357756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 3.2.0-3.mga3
+ Revision: 339244
- patch2: fix build with automake 1.13

* Fri Nov 30 2012 ovitters <ovitters> 3.2.0-2.mga3
+ Revision: 323405
- clean spec
- fix rpm group

* Fri Jun 01 2012 shlomif <shlomif> 3.2.0-1.mga3
+ Revision: 252908
- New version 3.2.0 - (non-beta)

* Mon May 09 2011 misc <misc> 3.2.0-0.beta2.9.mga1
+ Revision: 96695
- drop uneeded BuildRequires ( texinfo, esd )
- drop patch on esd, as we no longer provides it

* Sun May 01 2011 misc <misc> 3.2.0-0.beta2.8.mga1
+ Revision: 94038
- rebuild again to have higher Release than mandriva

* Sat Apr 30 2011 misc <misc> 3.2.0-0.beta2.7.mga1
+ Revision: 93993
- add security patch from Mandriva stable, taken from Debian
- increase release to let upgrade from Mandriva

* Sat Jan 15 2011 supp <supp> 3.2.0-0.beta2.1.mga1
+ Revision: 19049
- imported package libmikmod

